@charset "UTF-8";

.main-container {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.main-container:has(> :only-child) {
    display: block;
}

.main-filters {
    flex: 1 1 150px; 
    max-width: 500px;
}

.main-prods {
    flex: 3 1 450px; 
}

.filter-label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 16px;
}

.filter-labels {
    display: block;
    font-weight: 400;
}

.filters-a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    scroll-margin-top: 20px;
    margin-bottom: 0;
}

.filters > fieldset {
    border: 0;
    padding: 0;
    margin: 0;
    border-top: 1px solid #939393;
    margin-bottom: 1rem;
}

.filter-actions {
    margin: 0 10px;
    text-align: center;
}

@media (max-width: 480px) {
    .filters {
        width: 100%;
        position: fixed;
        z-index: 10;
        left: 0;
        top: 100px;
        bottom: 0px;
        padding: 10px;
        overflow-y: scroll;
        background-color: white;
    }

    .filters-a { padding: 5px 20px; }

    .filters-a:not(.collapsed) {
        width: 100%;
        position: fixed;
        z-index: 10;
        top: 0;
        left: 0;
        height: 100px;
        background-color: white;
        border: none;
        border-bottom: 1px solid;
    }

    .filters-a.collapsed {
        border: 1px solid;
        border-radius: 10px;
    }
}

.range { padding: 10px 0; }

.range-slider {
    height: 8px;
    position: relative;
    border-radius: 4px;
    border: 1px solid #939393;
}
.range-selected {
    height: 100%;
    left: 0;
    right: 0;
    position: absolute;
    border-radius: 5px;
    background-color: #FF8C38;
}
.range-input {
    position: relative;
}
.range-input input {
    position: absolute;
    width: 100%;
    height: 5px;
    top: -5px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
.range-input input::-webkit-slider-thumb {
    margin-top: -2px;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    border: 5px solid #FF8C38;
    background-color: #fff;
    pointer-events: auto;
    -webkit-appearance: none;
}
.range-input input::-moz-range-thumb {
    height: 15px;
    width: 15px;
    border-radius: 50%;
    border: 3px solid #1b53c0;
    background-color: #fff;
    pointer-events: auto;
    -moz-appearance: none;
}
